Name:		fontopia
Version:	1.8
Release:	4%{?dist}
Summary:	The console font editor

Group:		Applications/Productivity
License:	GPLv3+
URL:		https://sites.google.com/site/mohammedisam2000/home/projects
Source0:	https://sites.google.com/site/mohammedisam2000/home/projects/%{name}-%{version}.tar.gz

Requires(post): info
Requires(preun): info
BuildRequires:	gnudos-devel

%description
Fontopia is an easy-to-use, text-based, console font editor.
Fontopia is not only a conversion tool, it includes complete features to
re-size and manipulate glyphs, edit font metrics and other meta-data.
Unlike other console font tools, fontopia works on both PSF 1 & 2, PCF, CP and 
Raw fonts. Type conversion is as simple as changing font type in memory and 
saving it to disk in the other version. Fontopia allows exporting and 
importing of Unicode tables from external files or other fonts. It provides
a user-friendly, easy-to-use glyph editor. It can easily change font metrics,
e.g. length, width, height, etc. It performs basic glyph operations like 
inversion, flipping, setting/unsetting bits, and much more. Fontopia is the
first dedicated text-based editor for console fonts.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

install -m 0644 -p -D info/fontopia.info* %{buildroot}%{_infodir}/fontopia.info

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info* %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_docdir}/fontopia
%exclude %{_docdir}/fontopia/COPYING
%license COPYING

%changelog
* Sun May 20 2018 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.8-4
- Bugfixes in the BDF module

* Sat May 12 2018 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.8-3
- Added missing copyright notice for ChangeLog file
- Updated configure.ac script, README, manpage and info page

* Fri May 11 2018 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.8-2
- Added THANKS file and fixed missing copyright notices

* Mon May 7 2018 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.8-1
- Added support for PCF fonts
- Added the Extended Glyph Operations window

* Mon Aug 15 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.7-1
- Improved BDF support (needs more testing)
- Uknown glyph unicodes show uniformly

* Thu Aug 11 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.6-1
- Multiple CP fonts per file (up to 4) can be edited
- Corrected a bug in bdf_write_to_file() and fontopia_show_readme()

* Mon Aug 08 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.5-1
- Fixed a buffer-overflow bug in export_unitab()

* Thu Aug 04 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.4-1
- Fixed a memory-corruption bug in handle_hw_change() function
- Added bdf_helper.c and bdf_hash.c so now BDF module can read
  glyph names in PostScript char names and Adobe Std Encoding names.

* Mon Aug 01 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.3-1
- Fixed a bug in calc_max_zoom() function
- Fixed a bug in load_font_file() function

* Wed Jan 27 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-4
- Fixed spec file

* Tue Jan 26 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-3
- Fixed spec file 

* Sun Jan 10 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-2
- Fixed spec file

* Sat Jan 09 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.1-1
- Included CP files as part of the executable

* Fri Jan 08 2016 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-2
- Fixed spec file

* Fri Dec 11 2015 Mohammed Isam <mohammed_isam1984@yahoo.com> 1.0-1
- First release
